%define _docdir	%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}

Summary		: DHCP server for automatic IP address assignment
Name		: dhcp%{_hhl_pkg_suffix}
Version		: 3.0.1rc14
Release		: 5.0.8.0901900.%{_hhl_build_id}.3
Source		: ftp://ftp.isc.org/isc/dhcp/dhcp-%{version}.tar.gz
Source1		: dhcp-LICENSE
Source10	: dhcpd.conf
Patch		: dhcp3_3.0+3.0.1rc13-2.diff.gz
Patch1		: dhcp-initd.diff
Patch2		: dhcp-makefile.diff
Patch3		: dhcp-3.0pl2-multidev.patch
Patch4		: dhcp-init.patch
Patch5		: dhcp-gcc-3.4.diff
Patch6		: dhcp-init2.patch
Patch7		: dhcp-bug17250.diff
Patch8		: dhcp-bug19828.diff
Patch9		: dhcp-makefile.dist.diff
Patch10		: dhcp-3.0.1rc14_export_new_next_server.patch
Patch11		: dhcp-cve-2009-0692.patch
License		: Other
Group		: net
Buildroot	: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix		: %{_hhl_cross_target_dir}
Obsoletes	: hhl-target-dhcp
Obsoletes	: hhl-%{_hhl_target_arch}-dhcp

%description

 DHCP is a protocol like BOOTP (actually dhcpd includes much of
 the functionality of BOOTPD!). It assigns IP addresses to clients
 based on lease times. It is probably essential in any multi-platform
 environment.

# dhcp

%package -n dhcp-client
Summary		: DHCP Client
Group		: net
Conflicts	: dhcpcd
Obsoletes 	: hhl-%{_hhl_target_arch}-dhcp-client

%description -n dhcp-client

 This is a split off from the dhcp package and contains the DHCP client
 tools.

Documentation (apart from manpages) can be found in the dhcp package.

# dhcp-relay

%package -n dhcp-relay
Summary		: DHCP Relay
Group		: net
Obsoletes 	: hhl-%{_hhl_target_arch}-dhcp-relay

%description -n dhcp-relay

 Installing this package will make the machine it is installed on 
 a dhcp relay. You need to have a DHCP or BOOTP server reachable in order
 to use the relay.

Documentation (apart from manpages) can be found in the dhcp package.

%package -n dhcp-dev%{_hhl_pkg_suffix}
Summary		: DHCP development libraires
Group		: devel

%description -n dhcp-dev%{_hhl_pkg_suffix}

 Installing this package will make the machine it is installed on 
 a dhcp relay. You need to have a DHCP or BOOTP server reachable in order
 to use the relay.

 Documentation (apart from manpages) can be found in the dhcp package.


%prep
%target_check
%setup -q -n dhcp-%{version}
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p0

patch -p1 < debian/patches/common.patch
patch -p1 < debian/patches/ddns-update-style-default.patch
patch -p1 < debian/patches/dhclient.c.patch
patch -p1 < debian/patches/dhclient-script-exit-status.patch
patch -p1 < debian/patches/dhcpd-chdir.patch
patch -p1 < debian/patches/remove-excessive-junk.patch


%build
%target_setup

# Enforce our ranlib
echo RANLIB = $RANLIB >> site.conf
./configure 

%make \
	PREDEFINES='-D_PATH_DHCPD_DB=\"/var/dhcp/dhcpd.leases\" \
	-D_PATH_DHCLIENT_DB=\"/var/dhcp/dhclient.leases\" \
        -D_PATH_DHCLIENT_CONF=\"/etc/dhclient.conf\"' \
	VARDB=/var/dhcp

%install
rm -rf %{buildroot}
%target_setup

make install DESTDIR=%{buildroot}%{_hhl_cross_target_dir}	\
	VARDB=/var/dhcp						\
	FFMANDIR=%{_hhl_target_man_dir}/man5			\
	ADMMANDIR=%{_hhl_target_man_dir}/man8 			\
	LIBMANDIR=%{_hhl_target_man_dir}/man3			\
	USRMANDIR=%{_hhl_target_man_dir}/man1			\
	INCDIR=/usr/include					\
	LIBDIR=/usr/%{_hhl_target_lib}

# Install dhcp's conffile.
#install -m 644 server/dhcpd.conf %{buildroot}%{_hhl_cross_target_dir}/etc/
install -m 644 %{SOURCE10} %{buildroot}%{_hhl_cross_target_dir}/etc/

# Install dhcp's conffile.
install -m 644 debian/dhclient.conf %{buildroot}%{_hhl_cross_target_dir}/etc/


mkdir -p %{buildroot}%{_hhl_cross_target_dir}/etc/init.d
install -m 755 debian/dhcp3-server.init.d \
	%{buildroot}%{_hhl_cross_target_dir}/etc/init.d/dhcp

install -m 755 debian/dhcp3-relay.init.d \
	%{buildroot}%{_hhl_cross_target_dir}/etc/init.d/dhcp-relay

install -m 755 client/scripts/linux \
	%{buildroot}%{_hhl_cross_target_dir}/etc/dhclient-script

gzip -9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man*/*

(cd %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5
 cp dhcp-options.5.gz dhcp-options-dhcpd.5.gz
 cp dhcp-options.5.gz dhcp-options-dhclient.5.gz
 cp dhcp-options.5.gz dhcp-options-dhcrelay.5.gz
)
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/etc/default/
echo "DHCP_SERVER_ARGS=" > %{buildroot}%{_hhl_cross_target_dir}/etc/default/dhcp
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/var/dhcp/
touch %{buildroot}%{_hhl_cross_target_dir}/var/dhcp/dhcpd.leases
touch %{buildroot}%{_hhl_cross_target_dir}/var/dhcp/dhclient.leases

cp %{SOURCE1} LICENSE

%if "%{_hhl_pkg_suffix}" != ""
rm -rf %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_sbin_dir}
rm -rf %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_bin_dir}
rm -rf %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_sharedstate_dir}
rm -rf %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_include_dir}
rm -rf %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_localstate_dir}
rm -rf %{buildroot}%{_mvl_cross_target_dir}/etc
rm -rf %{buildroot}%{_mvl_cross_target_dir}/sbin
%endif

%clean
rm -rf %{buildroot}


%if "%{_hhl_pkg_suffix}" == ""
%files -n dhcp
%defattr(-,root,root)
%doc LICENSE
%config %{_hhl_cross_target_dir}/etc/dhcpd.conf
%config %{_hhl_cross_target_dir}/etc/init.d/dhcp
%config %{_hhl_cross_target_dir}/etc/default/dhcp
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/dhcpd
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5/dhcp-options-dhcpd.5.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5/dhcpd.conf.5.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5/dhcpd.leases.5.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/dhcpd.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5/dhcp-eval.5.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5/dhcp-options.5.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/omshell.1.gz
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/omshell
%{_hhl_cross_target_dir}/var/dhcp/dhcpd.leases

%files -n dhcp-client
%defattr(-,root,root)
%doc LICENSE
%{_hhl_cross_target_dir}/sbin/dhclient-script
%{_hhl_cross_target_dir}/etc/dhclient-script
%config %{_hhl_cross_target_dir}/etc/dhclient.conf
%{_hhl_cross_target_dir}/sbin/dhclient
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5/dhclient.conf.5.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5/dhclient.leases.5.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5/dhcp-options-dhclient.5.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5/dhcp-options-dhcrelay.5.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/dhclient-script.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/dhclient.8.gz
%{_hhl_cross_target_dir}/var/dhcp/dhclient.leases


%files -n dhcp-relay
%defattr(-,root,root)
%doc LICENSE
%config %{_hhl_cross_target_dir}/etc/init.d/dhcp-relay
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/dhcrelay
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/dhcrelay.8.gz
%endif

%files -n dhcp-dev%{_hhl_pkg_suffix}
%defattr(-,root,root)
%doc LICENSE
%if "%{_hhl_pkg_suffix}" == ""
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/dhcpctl.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/isc-dhcp/boolean.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/isc-dhcp/dst.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/isc-dhcp/int.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/isc-dhcp/lang.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/isc-dhcp/list.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/isc-dhcp/result.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/isc-dhcp/types.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/omapip/alloc.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/omapip/buffer.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/omapip/omapip.h
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man3/dhcpctl.3.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man3/omapi.3.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man3/omshell.3.gz
%endif
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libdhcpctl.a
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libomapi.a
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libdst.a


%changelog
* Wed Feb 9 2011 Yamaha Corporation
- Altered the address range to class C private address.

* Tue Jan 18 2011 Yamaha Corporation
- Added custom dhcpd.conf.

* Fri Jan 16 2004 Michael Eager <eager@mvista.com>
- Support multilib (for MIPS64).

* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <source@mvista.com>)
- Added TCT package description files

* Tue Mar 13 2001 Jeremy Puhlman <jpuhlman@mvista.com>
- first-cut hhl spec file
