Summary: Bonjour(R) Apple realization of zeroconf technology
Name: mdnsresponder
Version: 1.40
Release: 1.0.0.0501961.%{_hhl_build_id}.1
License: Apple Public Source License
Group: net 
Prefix: %{_hhl_cross_target_dir}
Source: mDNSResponder-%version.tar.gz
Patch: mdnsresponder-soname.diff
Patch1: mdnsresponder-DNSDigest.diff
Patch2: mdnsresponder-Makefile.diff 
Patch3: mdnsresponder-initd.patch 
Patch4: mdnsresponder-uclibc.diff 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
%define _docdir		%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}
#%define _sbindir	/sbin

%description
Bonjour(R) is a revolutionary networking technology that lets you create an instant network of computers 
and devices without any configuration. It allows the services and capabilities of each device to be registered 
on the network, and allows these services to be dynamically discoverable by other devices on the network. 
Rendezvous enables this seamless networking and service discovery over the standard and ubiquitous IP networking protocol.

%prep
%target_check
%setup -q -n mDNSResponder-%version
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%target_setup
%target_acplatvars
%if "%{_mvl_uclibc}" == "yes"
OSUSED=montavista-uclibc
%else
OSUSED=montavista
%endif
cd mDNSPosix/
%make DEBUG=0 os=$OSUSED LD="%{_hhl_target_toolprefix}gcc -shared" CC="%{_hhl_target_toolprefix}gcc" STRIP="true" | tee -a build.log

%install
rm -rf %{buildroot}
%target_setup
cd mDNSPosix/
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/%{_mvl_target_lib}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_include_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/init.d
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/etc/init.d
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/rc2.d
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/rc3.d
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/rc4.d
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/rc5.d
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/rc6.d
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/rc0.d
%if "%{_mvl_uclibc}" == "yes"
touch %{buildroot}%{_hhl_cross_target_dir}/etc/nsswitch.conf
OSUSED=montavista-uclibc
%else
cp -f %{_hhl_cross_target_dir}/etc/nsswitch.conf %{buildroot}%{_hhl_cross_target_dir}/etc/nsswitch.conf
OSUSED=montavista
%endif

%make DEBUG=0 install os=$OSUSED NSSINSTPATH=%{buildroot}%{_hhl_cross_target_dir}/%{_mvl_target_lib} \
      INSTBASE=%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_prefix} \
      MANPATH=%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir} \
      ETC=%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir} \
      STARTUPSCRIPTDIR=%{buildroot}%{_hhl_cross_target_dir}/etc/init.d \
      RUNLEVELSCRIPTSDIR=%{buildroot}%{_hhl_cross_target_dir}/etc/rc.d \
      ARCHLIB=%{_mvl_target_lib} \
      PATH="%{_hhl_host_bin_dir}:%{_hhl_cross_bin_dir}:$PATH"

#mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
#ln -s /sbin/ethtool %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
rm %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libmdns.so
ln -s libmdns.so.1 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libmdns.so

%demangle_libtool

rm -rf %{buildroot}%{_hhl_cross_target_dir}/etc/nsswitch.conf
rm -rf %{buildroot}%{_hhl_cross_target_dir}/etc/nsswitch.conf.pre-mdns
rm -rf %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/rc0.d/K16mdns
rm -rf %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/rc2.d/S52mdns
rm -rf %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/rc3.d/S52mdns
rm -rf %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/rc4.d/S52mdns
rm -rf %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/rc5.d/S52mdns
rm -rf %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/rc6.d/K16mdns
rm -rf %{buildroot}%{_hhl_cross_target_dir}/%{_mvl_target_lib}/libnss_mdns.so.2

%clean
rm -rf %{buildroot}

#%post
# wow this is so wrong let me count the ways...
# cp -f %{_hhl_cross_target_dir}/etc/nsswitch.conf %{_hhl_cross_target_dir}/etc/nsswitch.conf.pre-mdns
# sed -e '/mdns/!s/^\(hosts:.*\)dns\(.*\)/\1mdns dns\2/'  %{_hhl_cross_target_dir}/etc/nsswitch.conf.pre-mdns >  %{_hhl_cross_target_dir}/etc/nsswitch.conf

#ln -s -f %{_hhl_target_lib_dir}/libmdns.so.1 %{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libmdns.so

#ln -s -f /lib/libnss_mdns-0.2.so %{_hhl_cross_target_dir}/lib/libnss.so.2

#ln -s -f %{_hhl_target_sysconf_dir}/rc.d/init.d/mdns %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rc2.d/S52mdns
#ln -s -f %{_hhl_target_sysconf_dir}/rc.d/init.d/mdns %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rc3.d/S52mdns
#ln -s -f %{_hhl_target_sysconf_dir}/rc.d/init.d/mdns %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rc4.d/S52mdns
#ln -s -f %{_hhl_target_sysconf_dir}/rc.d/init.d/mdns %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rc5.d/S52mdns
#ln -s -f %{_hhl_target_sysconf_dir}/rc.d/init.d/mdns %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rc0.d/K16mdns
#ln -s -f %{_hhl_target_sysconf_dir}/rc.d/init.d/mdns %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rc6.d/K16mdns

#%postun
#sed -e 's/mdns//' %{_hhl_cross_target_dir}/etc/nsswitch.conf >  %{_hhl_cross_target_dir}/etc/nsswitch.conf.mdns.old
#mv %{_hhl_cross_target_dir}/etc/nsswitch.conf.mdns.old %{_hhl_cross_target_dir}/etc/nsswitch.conf
#rm -f %{_hhl_cross_target_dir}/etc/nsswitch.conf.pre-mdns

#rm %{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libmdns.so

#rm %{_hhl_cross_target_dir}/lib/libnss.so.2

#rm %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rc2.d/S52mdns
#rm %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rc3.d/S52mdns
#rm %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rc4.d/S52mdns
#rm %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rc5.d/S52mdns
#rm %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rc0.d/K16mdns
#rm %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/rc6.d/K16mdns


%files
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/mdnsd
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/dns_sd.h
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libmdns.so*
%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/mdns

%if "%{_mvl_uclibc}" != "yes"
%{_hhl_cross_target_dir}/%{_mvl_target_lib}/libnss_mdns-0.2.so
%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/nss_mdns.conf
%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5/nss_mdns.conf.*
%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/libnss_mdns.*
%endif
%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/mdnsd.*
#adding supplementary utils in /usr/bin
%{_hhl_cross_target_dir}%{_hhl_target_prefix}/bin/mDNSClientPosix
%{_hhl_cross_target_dir}%{_hhl_target_prefix}/bin/mDNSIdentify
%{_hhl_cross_target_dir}%{_hhl_target_prefix}/bin/mDNSNetMonitor
%{_hhl_cross_target_dir}%{_hhl_target_prefix}/bin/mDNSProxyResponderPosix
%{_hhl_cross_target_dir}%{_hhl_target_prefix}/bin/mDNSResponderPosix
