Summary: A Bootp and DHCP client for automatic IP configuration.
Name: pump_autoip
Version: 0.8.15
Release: 7
Group: System Environment/Daemons
License: MIT
Source: pump_autoip-%{version}.tar.gz
Source1: pump.conf
Patch: pump-keepup.patch
Obsoletes: bootpc
Prefix: %{_mvl_cross_target_dir}
Buildroot: %{_tmppath}/%{name}-%{_mvl_target_arch}-root
%define _docdir %{_mvl_cross_target_dir}%{_mvl_target_doc_dir}

%description
DHCP (Dynamic Host Configuration Protocol) and BOOTP (Boot Protocol)
are protocols which allow individual devices on an IP network to get
their own network configuration information (IP address, subnetmask,
broadcast address, etc.) from network servers. The overall purpose of
DHCP and BOOTP is to make it easier to administer a large network.
 
Pump is a combined BOOTP and DHCP client daemon, which allows your
machine to retrieve configuration information from a server. You
should install this package if you are on a network which uses BOOTP
or DHCP.

%prep
%target_check
%setup -q
%patch -p1

%build
%target_setup
make DESTDIR='%{_mvl_cross_target_dir}'
 
%install
%target_setup
rm -rf %{buildroot}
make DESTDIR='%{buildroot}%{_mvl_cross_target_dir}' install
install -D -m 644 %{SOURCE1} %{buildroot}%{_mvl_cross_target_dir}/etc/pump.conf

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)

%{_mvl_cross_target_dir}/sbin/pump
%doc %{_mvl_cross_target_dir}%{_mvl_target_man_dir}/man8/pump.8

%changelog
* Thu Jan 27 2011 Yamaha Corporation
- Don't make the interface down when releasing it.
* Thu Dec 16 2010 Yamaha Corporation
- Removed /etc/pump.conf.
* Tue Nov 2 2010 Yamaha Corporation
- Added configuration for WiFi interfaces.
* Mon Oct 16 2006 Yamaha Corporation
- Tuned a timeout of DHCP discover.
* Thu Jun 28 2006 Yamaha Corporation
- Added a configration file /etc/pump.conf
* Thu Jun 28 2006 Yamaha Corporation
- Initial release.
