Summary		: Tools for manipulating Linux Wireless Extensions
Name		: wireless-tools%{_hhl_pkg_suffix}
Version		: 29
Release		: 1.0.2.0800788.%{_hhl_build_id}.1
Source0		: wireless-tools_29.orig.tar.gz
Patch1		: wireless-tools_29-1.1.diff.gz
License 	: GPL
Group		: utils
Buildroot 	: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix		: %{_hhl_cross_target_dir}
Requires        : wireless-tools-libs%{_hhl_pkg_suffix}
%define _defaultdocdir	%{_hhl_cross_target_dir}/%{_hhl_target_doc_dir}

#
#	SRPM
#
Obsoletes : hhl-target-wireless-tools
Obsoletes : hhl-%{_hhl_target_arch}-wireless-tools

%description
 This package contains the Wireless tools, used to manipulate
 the Linux Wireless Extensions. The Wireless Extension is an interface
 allowing you to set Wireless LAN specific parameters and get the
 specific stats.

%package -n wireless-tools-dev%{_hhl_pkg_suffix}
Summary: Tools for manipulating Linux Wireless Extensions - development
Group: devel
Requires: wireless-tools-libs%{_hhl_pkg_suffix}

%description -n wireless-tools-dev%{_hhl_pkg_suffix}
 This package contains the development headers for the wireless tools
 API, used to manipulate the Linux Wireless Extensions.

%package -n wireless-tools-libs%{_hhl_pkg_suffix}
Summary: Tools for manipulating Linux Wireless Extensions - runtime libraries
Group: libs

%description -n wireless-tools-libs%{_hhl_pkg_suffix}
 This package contains the runtime libraries for the wireless tools
#
#	RPM
#


%prep
%target_check
%setup -n wireless_tools.29
%patch1 -p1

%build
PATH=%{_hhl_cross_bin_dir}:$PATH
%target_setup

make CC=%{_hhl_target_toolprefix}gcc

%install
rm -rf %{buildroot}
%target_setup
cp COPYING LICENSE
chmod 644 LICENSE
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/sbin
make CC=%{_hhl_target_toolprefix}gcc install \
INSTALL_DIR=%{buildroot}%{_hhl_cross_target_dir}/sbin \
INSTALL_LIB=%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir} \
INSTALL_INC=%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_include_dir} \
INSTALL_MAN=%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}
install -d %{buildroot}%{_hhl_cross_target_dir}/etc/network/if-pre-up.d/
install -m 755 debian/pre-up %{buildroot}%{_hhl_cross_target_dir}/etc/network/if-pre-up.d/wireless-tools
gzip %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man?/*

%if "%{_hhl_pkg_suffix}" != ""
rm -rf %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_sbin_dir}
rm -rf %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_ubin_dir}
rm -rf %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_bin_dir}
rm -rf %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_sharedstate_dir}
rm -rf %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_include_dir}
rm -rf %{buildroot}%{_mvl_cross_target_dir}/etc
rm -rf %{buildroot}%{_mvl_cross_target_dir}/sbin
%endif

%clean
rm -rf %{buildroot}


%if "%{_hhl_pkg_suffix}" == ""
%files -n wireless-tools%{_hhl_pkg_suffix}
%defattr(-,root,root)
%{_hhl_cross_target_dir}/sbin/ifrename
%{_hhl_cross_target_dir}/sbin/iwconfig
%{_hhl_cross_target_dir}/sbin/iwevent
%{_hhl_cross_target_dir}/sbin/iwgetid
%{_hhl_cross_target_dir}/sbin/iwlist
%{_hhl_cross_target_dir}/sbin/iwpriv
%{_hhl_cross_target_dir}/sbin/iwspy
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man*/*
%config %{_hhl_cross_target_dir}/etc/network/if-pre-up.d/wireless-tools
%doc LICENSE PCMCIA.txt
%endif

%files -n wireless-tools-dev%{_hhl_pkg_suffix}
%defattr(-,root,root)
%if "%{_hhl_pkg_suffix}" == ""
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/iwlib.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/wireless.h
%endif
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libiw.so

%files -n wireless-tools-libs%{_hhl_pkg_suffix}
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libiw.so.29

%changelog
* Tue Jan 25 2011 Yamaha Corporation
- Update to 29.
* Wed Aug 18 2004 Tom Rini <trini@mvista.com>
- Update to 26+27pre22
- Create -dev package.
* Sat Jul 14 2001 Michael Taht <source@mvista.com>
- Created spec file for HHL
